What version of Exchange is installed?

NovaBACKUP
Last Updated: Feb 06, 2015 10:28AM PST

Make sure that your installed Microsoft Exchange version that you have in your environment meets NovaBACKUP version 16.5's System Requirements in the version and patch level of Microsoft Exchange otherwise you may have odd problems with either backing up or restoring Exchange data using the Exchange plug-in:
 

NovaBACKUP Exchange Plug-in System Requirements:
http://novabackup.novastor.com/wp-content/images/SD-NovaBACKUP-16-5-System-Requirements-EN.pdf


Supported versions of Microsoft Exchange in NovaBACKUP version 16.5:
 

  • Microsoft Exchange 2013 SP1
  • Microsoft Exchange 2010 SP3
  • Microsoft Exchange 2007 SP3
  • Microsoft Exchange 2003 SP2

 

To determine what version of Microsoft Exchange that is installed to know what the patch level is at follow this guide:


MS Exchange Versions, Builds & Dates:
http://eightwone.com/references/versions-builds-dates/


Sometimes it may be difficult to tell what version of exchange is installed and what service pack level has been implemented due to the manner in which the version information is displayed.


You can use this article to help locate the version of Exchange you have installed: http://support.microsoft.com/kb/152439/en-us

 

Then use this link to determine which version and service pack you have installed for compatibility: http://support.microsoft.com/kb/158530

NovaCare Status

NovaStor Support

Contact Us

  • E-Mail NovaStor Support

    Click Here to submit your case to the NovaStor Support Team.

  • Phone Support

    If you have NovaCare Support you can call our support line:

    US Support:
    Call +1(805) 409-3140
    Press 2 for Technical Support
    Monday through Friday
    8am - 5pm PST

    EMEA Support:
    Call +49 (40) 63809 - 989
    Monday through Friday
    9am - 5pm CET (GMT+1)

TeamViewer